### YamlMime:ManagedReference
items:
- uid: OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1
  commentId: T:OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1
  id: RegisterSystemInspector`1
  parent: OmiLAXR.xAPI.Tracking
  children:
  - OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1.OnInspectorGUI
  langs:
  - csharp
  - vb
  name: RegisterSystemInspector<T>
  nameWithType: RegisterSystemInspector<T>
  fullName: OmiLAXR.xAPI.Tracking.RegisterSystemInspector<T>
  type: Class
  source:
    remote:
      path: Runtime/Tracking/RegisterSystemInspector.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: RegisterSystemInspector
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/RegisterSystemInspector.cs
    startLine: 8
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: 'public abstract class RegisterSystemInspector<T> : Editor where T : RegisterObject'
    typeParameters:
    - id: T
    content.vb: Public MustInherit Class RegisterSystemInspector(Of T As RegisterObject) Inherits Editor
  inheritance:
  - System.Object
  - UnityEngine.Object
  - UnityEngine.ScriptableObject
  - UnityEditor.Editor
  derivedClasses:
  - OmiLAXR.xAPI.Tracking.EyeTracking.GazeableRegisterInspector
  - OmiLAXR.xAPI.Tracking.TrackableRegisterInspector
  extensionMethods:
  - UnityEngine.Object.OmiLAXR.Extensions.Object_Ext.Destroy
  nameWithType.vb: RegisterSystemInspector(Of T)
  fullName.vb: OmiLAXR.xAPI.Tracking.RegisterSystemInspector(Of T)
  name.vb: RegisterSystemInspector(Of T)
- uid: OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1.OnInspectorGUI
  commentId: M:OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1.OnInspectorGUI
  id: OnInspectorGUI
  parent: OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1
  langs:
  - csharp
  - vb
  name: OnInspectorGUI()
  nameWithType: RegisterSystemInspector<T>.OnInspectorGUI()
  fullName: OmiLAXR.xAPI.Tracking.RegisterSystemInspector<T>.OnInspectorGUI()
  type: Method
  source:
    remote:
      path: Runtime/Tracking/RegisterSystemInspector.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: OnInspectorGUI
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/RegisterSystemInspector.cs
    startLine: 40
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  example: []
  syntax:
    content: public override void OnInspectorGUI()
    content.vb: Public Overrides Sub OnInspectorGUI()
  overridden: UnityEditor.Editor.OnInspectorGUI
  overload: OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1.OnInspectorGUI*
  nameWithType.vb: RegisterSystemInspector(Of T).OnInspectorGUI()
  fullName.vb: OmiLAXR.xAPI.Tracking.RegisterSystemInspector(Of T).OnInspectorGUI()
references:
- uid: OmiLAXR.xAPI.Tracking
  commentId: N:OmiLAXR.xAPI.Tracking
  href: OmiLAXR.html
  name: OmiLAXR.xAPI.Tracking
  nameWithType: OmiLAXR.xAPI.Tracking
  fullName: OmiLAXR.xAPI.Tracking
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Tracking
    name: Tracking
    href: OmiLAXR.xAPI.Tracking.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Tracking
    name: Tracking
    href: OmiLAXR.xAPI.Tracking.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: UnityEngine.Object
  commentId: T:UnityEngine.Object
  parent: UnityEngine
  isExternal: true
  name: Object
  nameWithType: Object
  fullName: UnityEngine.Object
- uid: UnityEngine.ScriptableObject
  commentId: T:UnityEngine.ScriptableObject
  parent: UnityEngine
  isExternal: true
  name: ScriptableObject
  nameWithType: ScriptableObject
  fullName: UnityEngine.ScriptableObject
- uid: UnityEditor.Editor
  commentId: T:UnityEditor.Editor
  parent: UnityEditor
  isExternal: true
  name: Editor
  nameWithType: Editor
  fullName: UnityEditor.Editor
- uid: UnityEngine.Object.OmiLAXR.Extensions.Object_Ext.Destroy
  commentId: M:OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  parent: OmiLAXR.Extensions.Object_Ext
  definition: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  name: Destroy(Object)
  nameWithType: Object_Ext.Destroy(Object)
  fullName: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  spec.csharp:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: UnityEngine
  commentId: N:UnityEngine
  isExternal: true
  name: UnityEngine
  nameWithType: UnityEngine
  fullName: UnityEngine
- uid: UnityEditor
  commentId: N:UnityEditor
  isExternal: true
  name: UnityEditor
  nameWithType: UnityEditor
  fullName: UnityEditor
- uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  commentId: M:OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  isExternal: true
  href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  name: Destroy(Object)
  nameWithType: Object_Ext.Destroy(Object)
  fullName: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  spec.csharp:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
- uid: OmiLAXR.Extensions.Object_Ext
  commentId: T:OmiLAXR.Extensions.Object_Ext
  parent: OmiLAXR.Extensions
  href: OmiLAXR.Extensions.Object_Ext.html
  name: Object_Ext
  nameWithType: Object_Ext
  fullName: OmiLAXR.Extensions.Object_Ext
- uid: OmiLAXR.Extensions
  commentId: N:OmiLAXR.Extensions
  href: OmiLAXR.html
  name: OmiLAXR.Extensions
  nameWithType: OmiLAXR.Extensions
  fullName: OmiLAXR.Extensions
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Extensions
    name: Extensions
    href: OmiLAXR.Extensions.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Extensions
    name: Extensions
    href: OmiLAXR.Extensions.html
- uid: UnityEditor.Editor.OnInspectorGUI
  commentId: M:UnityEditor.Editor.OnInspectorGUI
  parent: UnityEditor.Editor
  isExternal: true
  name: OnInspectorGUI()
  nameWithType: Editor.OnInspectorGUI()
  fullName: UnityEditor.Editor.OnInspectorGUI()
  spec.csharp:
  - uid: UnityEditor.Editor.OnInspectorGUI
    name: OnInspectorGUI
    isExternal: true
  - name: (
  - name: )
  spec.vb:
  - uid: UnityEditor.Editor.OnInspectorGUI
    name: OnInspectorGUI
    isExternal: true
  - name: (
  - name: )
- uid: OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1.OnInspectorGUI*
  commentId: Overload:OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1.OnInspectorGUI
  href: OmiLAXR.xAPI.Tracking.RegisterSystemInspector-1.html#OmiLAXR.xAPI.Tracking.RegisterSystemInspector`1.OnInspectorGUI
  name: OnInspectorGUI
  nameWithType: RegisterSystemInspector<T>.OnInspectorGUI
  fullName: OmiLAXR.xAPI.Tracking.RegisterSystemInspector<T>.OnInspectorGUI
  nameWithType.vb: RegisterSystemInspector(Of T).OnInspectorGUI
  fullName.vb: OmiLAXR.xAPI.Tracking.RegisterSystemInspector(Of T).OnInspectorGUI
